Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008164TestLinkUsers and Rightspublic2017-12-27 13:252017-12-30 09:41
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008164: Use existant right 'req_tcase_link_management'
DescriptionThe 'right' table already contain a dedicated right for Requirement Assign feature. The right is named 'req_tcase_link_management' (28).

This right is not used by testlink code to verify user access to related feature. Access is checked according to 'Edit Requirement' right.

Because admin could be interested to provide Assign Requirement feature to only a reduce group of people that can edit Requirement, the 'req_tcase_link_management' right should be accessible in role management and used by testlink code.
Steps To ReproduceN/A
Additional InformationPR to follow
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027108)
Mr.Bricodage (updater)
2017-12-27 13:29

PR : https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/134 [^]
(0027122)
Mr.Bricodage (updater)
2017-12-29 22:22

Should be logged as resolved in TestLink 1.9.17 : PR has been merged

- Issue History
Date Modified Username Field Change
2017-12-27 13:25 Mr.Bricodage New Issue
2017-12-27 13:29 Mr.Bricodage Note Added: 0027108
2017-12-29 22:22 Mr.Bricodage Note Added: 0027122
2017-12-30 09:41 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-12-30 09:41 fman Status new => resolved
2017-12-30 09:41 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-12-30 09:41 fman Resolution open => fixed
2017-12-30 09:41 fman Assigned To => fman



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker